#!/bin/sh
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
#
# Copyright IBM Corp. 2009 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
# Release Name: omoracle_dev
#
# Description: Callpoint pre install script
#
#  Parameters:
#   CANDLEHOME, set in the environment
#
#  Returns:
#    0 - successful
#  100 - failed
#======================================================
#
echo "Starting kudpostinstall.sh script..."

# Check and make sure the environment variables are setup
if [ -z "$CANDLEHOME" ]; then
  echo "CANDLEHOME not set in environment, exiting..."
  exit 100
fi


echo "If not exist then append new parameters ..."
# parameters KUD_T1_BY_SQL=N & KUD_T1_DISABLE=N
if [ -f $CANDLEHOME/config/ud.ini ]; then
  FOUND_STR=`grep KUD_T1_BY_SQL $CANDLEHOME/config/ud.ini`
  if [ "$FOUND_STR" = "" ] 
  then
    echo "KUD_T1_BY_SQL=N" >> $CANDLEHOME/config/ud.ini
  fi

  FOUND_STR=`grep KUD_T1_DISABLE $CANDLEHOME/config/ud.ini`
  if [ "$FOUND_STR" = "" ] 
  then
    echo "KUD_T1_DISABLE=N" >> $CANDLEHOME/config/ud.ini
  fi
fi

echo "Ending kudpostinstall.sh script..."

exit 0
